
import java.awt.Color;
import java.awt.Component;
import java.awt.Font;

import javax.swing.JLabel;
import javax.swing.JList;
import javax.swing.ListCellRenderer;

/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
/**
 *
 * @author petr
 */
public class FontCellRenderer extends JLabel implements
        ListCellRenderer {

    /**
     * Vytvoří novou instanci třídy FontCellRenderer.
     */
    public FontCellRenderer() {
           this.setOpaque(true);
    }

    @Override
    public Component getListCellRendererComponent(JList list,
            Object value, int index, boolean isSelected,
            boolean cellHasFocus) {
        Font font = (Font) value;
        font = font.deriveFont(20f);
        this.setFont(font);

        this.setText(font.getFontName());
        if (cellHasFocus) {
            this.setForeground(Color.RED);
        } else {
            this.setForeground(Color.BLACK);
        }
        if (isSelected) {
            this.setBackground(Color.YELLOW);
        } else {
            this.setBackground(Color.WHITE);
        }
        return this;
    }
}