package seznam;

import java.awt.Color;

import javax.swing.JFrame;
import javax.swing.JList;
import javax.swing.JScrollPane;

/**
 * Demonstrace použití komponenty JFrame s vlastním vykreslovačem
 * buněk.
 */
public class ShowColors2 {

    /**
     * Nějaké barvy.
     */
    private static MyColor[] colors = {
        new MyColor(new Color(221, 119, 119),
        "Pastelová červená"),
        new MyColor(new Color(212, 212, 212), "Šedá"),
        new MyColor(new Color(119, 221, 119),
        "Pastelová zelená"),
        new MyColor(new Color(119, 119, 221),
        "Pastelová modrá"),
        new MyColor(new Color(93, 138, 168),
        "Námořnická modř"),
        new MyColor(new Color(255, 191, 0), "Jantarová"),
        new MyColor(new Color(205, 127, 50), "Bronzová"),
        new MyColor(new Color(150, 75, 0), "Hnědá"),
        new MyColor(new Color(255, 0, 56), "Karmínová"),
        new MyColor(new Color(0, 71, 171),
        "Kobaltová modř"),
        new MyColor(new Color(240, 230, 140),
        "Světlá khaki"),
        new MyColor(new Color(181, 126, 220),
        "Levandulová"),
        new MyColor(new Color(255, 247, 0), "Citronová"),
        new MyColor(new Color(204, 119, 34), "Okrová"),
        new MyColor(new Color(255, 209, 220),
        "Pastelová růžová"),
        new MyColor(new Color(204, 153, 204), "Švestka")
    };

    public static void main(String[] args) {
        JFrame frame = new JFrame("Barvy");
        JList list = new JList(colors);

        ColorCellRenderer renderer = new ColorCellRenderer();
        list.setCellRenderer(renderer);

        frame.add(new JScrollPane(list));
        frame.setSize(400, 400);
        frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
        frame.setVisible(true);
    }
}